The Serverless Training API provides endpoints for managing training jobs, including serverless reinforcement learning (RL) and supervised fine-tuning (SFT). The API is OpenAI-compatible for chat completions.
Authentication
All API requests require authentication using your W&B API key. Create an API key at wandb.ai/settings. Include your API key in theAuthorization header:
Base URL
Available endpoints
chat-completions
- POST
/v1/chat/completions- Create Chat Completion - POST
/v1/chat/completions/- Create Chat Completion
models
- POST
/v1/preview/models- Create Model - DELETE
/v1/preview/models/{model_id}- Delete Model - DELETE
/v1/preview/models/{model_id}/checkpoints- Delete Model Checkpoints - GET
/v1/preview/models/{model_id}/checkpoints- List Model Checkpoints - POST
/v1/preview/models/{model_id}/log- Log
training-jobs
- POST
/v1/preview/sft-training-jobs- Create Sft Training Job - POST
/v1/preview/training-jobs- Create Rl Training Job - GET
/v1/preview/training-jobs/{training_job_id}- Get Training Job - GET
/v1/preview/training-jobs/{training_job_id}/events- Get Training Job Events
health
- GET
/v1/health- Health Check - GET
/v1/system-check- System Check